@echo off

rem Batch file for installing the precompiled Allegro DLL files,
rem and building the MSVC example and test programs.

rem Generated by misc/zipwin.sh

if not exist include\allegro.h goto no_allegro

if not "%MSVCDIR%" == "" goto got_msvc
if not "%MSDEVDIR%" == "" goto got_msvc

if "%VCVARS%" == "" goto no_vcvars

call "%VCVARS%"
goto got_msvc

:no_vcvars

echo MSVC environment variables not found: running vcvars.exe to look for them
vcvars.exe msvcmake.bat

goto the_end

:got_msvc

echo Generating release mode import library
copy lib\msvc\allegro.def lib\msvc\all3938.def > nul
lib /nologo /machine:ix86 /def:lib\msvc\all3938.def /out:lib\msvc\alleg.lib

echo Generating debug mode import library
copy lib\msvc\allegro.def lib\msvc\ald3938.def > nul
lib /nologo /machine:ix86 /def:lib\msvc\ald3938.def /out:lib\msvc\alld.lib /debugtype:cv

echo Generating profile mode import library
copy lib\msvc\allegro.def lib\msvc\alp3938.def > nul
lib /nologo /machine:ix86 /def:lib\msvc\alp3938.def /out:lib\msvc\allp.lib

echo Compiling test and example programs

echo -nologo -W1 -Gd -Ox -GB -MT -I. -I.\include -Foobj\msvc\alleg\dibgrab.obj > _tmp.arg
echo -c wintests\dibgrab.c >> _tmp.arg
cl @_tmp.arg
del _tmp.arg

echo -nologo -release -subsystem:windows -out:wintests\dibgrab.exe > _tmp.arg
echo obj\msvc\alleg\dibgrab.obj lib\msvc\alleg.lib kernel32.lib >> _tmp.arg
echo user32.lib gdi32.lib comdlg32.lib ole32.lib dinput.lib >> _tmp.arg
echo ddraw.lib dxguid.lib winmm.lib dsound.lib >> _tmp.arg
link @_tmp.arg
del _tmp.arg

echo -nologo -W1 -Gd -Ox -GB -MT -I. -I.\include -Foobj\msvc\alleg\dibhello.obj > _tmp.arg
echo -c wintests\dibhello.c >> _tmp.arg
cl @_tmp.arg
del _tmp.arg

echo -nologo -release -subsystem:windows -out:wintests\dibhello.exe > _tmp.arg
echo obj\msvc\alleg\dibhello.obj lib\msvc\alleg.lib kernel32.lib >> _tmp.arg
echo user32.lib gdi32.lib comdlg32.lib ole32.lib dinput.lib >> _tmp.arg
echo ddraw.lib dxguid.lib winmm.lib dsound.lib >> _tmp.arg
link @_tmp.arg
del _tmp.arg

echo -nologo -W1 -Gd -Ox -GB -MT -I. -I.\include -Foobj\msvc\alleg\scrsave.obj > _tmp.arg
echo -c wintests\scrsave.c >> _tmp.arg
cl @_tmp.arg
del _tmp.arg

rc -foobj\msvc\alleg\scrsave.res wintests\scrsave.rc

echo -nologo -release -subsystem:windows -out:wintests\scrsave.scr > _tmp.arg
echo obj\msvc\alleg\scrsave.obj obj\msvc\alleg\scrsave.res >> _tmp.arg
echo lib\msvc\alleg.lib kernel32.lib user32.lib gdi32.lib >> _tmp.arg
echo comdlg32.lib ole32.lib dinput.lib ddraw.lib dxguid.lib >> _tmp.arg
echo winmm.lib dsound.lib >> _tmp.arg
link @_tmp.arg
del _tmp.arg

echo -nologo -W1 -Gd -Ox -GB -MT -I. -I.\include -Foobj\msvc\alleg\demo.obj > _tmp.arg
echo -c demo\demo.c >> _tmp.arg
cl @_tmp.arg
del _tmp.arg

echo -nologo -release -subsystem:windows -out:demo\demo.exe > _tmp.arg
echo obj\msvc\alleg\demo.obj lib\msvc\alleg.lib kernel32.lib >> _tmp.arg
echo user32.lib gdi32.lib comdlg32.lib ole32.lib dinput.lib >> _tmp.arg
echo ddraw.lib dxguid.lib winmm.lib dsound.lib >> _tmp.arg
link @_tmp.arg
del _tmp.arg

echo -nologo -W1 -Gd -Ox -GB -MT -I. -I.\include -Foobj\msvc\alleg\keyconf.obj > _tmp.arg
echo -c setup\keyconf.c >> _tmp.arg
cl @_tmp.arg
del _tmp.arg

echo -nologo -release -subsystem:windows -out:setup\keyconf.exe > _tmp.arg
echo obj\msvc\alleg\keyconf.obj lib\msvc\alleg.lib kernel32.lib >> _tmp.arg
echo user32.lib gdi32.lib comdlg32.lib ole32.lib dinput.lib >> _tmp.arg
echo ddraw.lib dxguid.lib winmm.lib dsound.lib >> _tmp.arg
link @_tmp.arg
del _tmp.arg

echo -nologo -W1 -Gd -Ox -GB -MT -I. -I.\include -Foobj\msvc\alleg\setup.obj > _tmp.arg
echo -c setup\setup.c >> _tmp.arg
cl @_tmp.arg
del _tmp.arg

echo -nologo -release -subsystem:windows -out:setup\setup.exe > _tmp.arg
echo obj\msvc\alleg\setup.obj lib\msvc\alleg.lib kernel32.lib >> _tmp.arg
echo user32.lib gdi32.lib comdlg32.lib ole32.lib dinput.lib >> _tmp.arg
echo ddraw.lib dxguid.lib winmm.lib dsound.lib >> _tmp.arg
link @_tmp.arg
del _tmp.arg

echo -nologo -W1 -Gd -Ox -GB -MT -I. -I.\include -Foobj\msvc\alleg\afinfo.obj > _tmp.arg
echo -c tests\afinfo.c >> _tmp.arg
cl @_tmp.arg
del _tmp.arg

echo -nologo -release -subsystem:windows -out:tests\afinfo.exe > _tmp.arg
echo obj\msvc\alleg\afinfo.obj lib\msvc\alleg.lib kernel32.lib >> _tmp.arg
echo user32.lib gdi32.lib comdlg32.lib ole32.lib dinput.lib >> _tmp.arg
echo ddraw.lib dxguid.lib winmm.lib dsound.lib >> _tmp.arg
link @_tmp.arg
del _tmp.arg

echo -nologo -W1 -Gd -Ox -GB -MT -I. -I.\include -Foobj\msvc\alleg\akaitest.obj > _tmp.arg
echo -c tests\akaitest.c >> _tmp.arg
cl @_tmp.arg
del _tmp.arg

echo -nologo -release -subsystem:windows -out:tests\akaitest.exe > _tmp.arg
echo obj\msvc\alleg\akaitest.obj lib\msvc\alleg.lib kernel32.lib >> _tmp.arg
echo user32.lib gdi32.lib comdlg32.lib ole32.lib dinput.lib >> _tmp.arg
echo ddraw.lib dxguid.lib winmm.lib dsound.lib >> _tmp.arg
link @_tmp.arg
del _tmp.arg

echo -nologo -W1 -Gd -Ox -GB -MT -I. -I.\include -Foobj\msvc\alleg\digitest.obj > _tmp.arg
echo -c tests\digitest.c >> _tmp.arg
cl @_tmp.arg
del _tmp.arg

echo -nologo -release -subsystem:windows -out:tests\digitest.exe > _tmp.arg
echo obj\msvc\alleg\digitest.obj lib\msvc\alleg.lib kernel32.lib >> _tmp.arg
echo user32.lib gdi32.lib comdlg32.lib ole32.lib dinput.lib >> _tmp.arg
echo ddraw.lib dxguid.lib winmm.lib dsound.lib >> _tmp.arg
link @_tmp.arg
del _tmp.arg

echo -nologo -W1 -Gd -Ox -GB -MT -I. -I.\include -Foobj\msvc\alleg\mathtest.obj > _tmp.arg
echo -c tests\mathtest.c >> _tmp.arg
cl @_tmp.arg
del _tmp.arg

echo -nologo -release -subsystem:windows -out:tests\mathtest.exe > _tmp.arg
echo obj\msvc\alleg\mathtest.obj lib\msvc\alleg.lib kernel32.lib >> _tmp.arg
echo user32.lib gdi32.lib comdlg32.lib ole32.lib dinput.lib >> _tmp.arg
echo ddraw.lib dxguid.lib winmm.lib dsound.lib >> _tmp.arg
link @_tmp.arg
del _tmp.arg

echo -nologo -W1 -Gd -Ox -GB -MT -I. -I.\include -Foobj\msvc\alleg\miditest.obj > _tmp.arg
echo -c tests\miditest.c >> _tmp.arg
cl @_tmp.arg
del _tmp.arg

echo -nologo -release -subsystem:windows -out:tests\miditest.exe > _tmp.arg
echo obj\msvc\alleg\miditest.obj lib\msvc\alleg.lib kernel32.lib >> _tmp.arg
echo user32.lib gdi32.lib comdlg32.lib ole32.lib dinput.lib >> _tmp.arg
echo ddraw.lib dxguid.lib winmm.lib dsound.lib >> _tmp.arg
link @_tmp.arg
del _tmp.arg

echo -nologo -W1 -Gd -Ox -GB -MT -I. -I.\include -Foobj\msvc\alleg\play.obj > _tmp.arg
echo -c tests\play.c >> _tmp.arg
cl @_tmp.arg
del _tmp.arg

echo -nologo -release -subsystem:windows -out:tests\play.exe > _tmp.arg
echo obj\msvc\alleg\play.obj lib\msvc\alleg.lib kernel32.lib >> _tmp.arg
echo user32.lib gdi32.lib comdlg32.lib ole32.lib dinput.lib >> _tmp.arg
echo ddraw.lib dxguid.lib winmm.lib dsound.lib >> _tmp.arg
link @_tmp.arg
del _tmp.arg

echo -nologo -W1 -Gd -Ox -GB -MT -I. -I.\include -Foobj\msvc\alleg\playfli.obj > _tmp.arg
echo -c tests\playfli.c >> _tmp.arg
cl @_tmp.arg
del _tmp.arg

echo -nologo -release -subsystem:windows -out:tests\playfli.exe > _tmp.arg
echo obj\msvc\alleg\playfli.obj lib\msvc\alleg.lib kernel32.lib >> _tmp.arg
echo user32.lib gdi32.lib comdlg32.lib ole32.lib dinput.lib >> _tmp.arg
echo ddraw.lib dxguid.lib winmm.lib dsound.lib >> _tmp.arg
link @_tmp.arg
del _tmp.arg

echo -nologo -W1 -Gd -Ox -GB -MT -I. -I.\include -Foobj\msvc\alleg\test.obj > _tmp.arg
echo -c tests\test.c >> _tmp.arg
cl @_tmp.arg
del _tmp.arg

echo -nologo -release -subsystem:windows -out:tests\test.exe > _tmp.arg
echo obj\msvc\alleg\test.obj lib\msvc\alleg.lib kernel32.lib >> _tmp.arg
echo user32.lib gdi32.lib comdlg32.lib ole32.lib dinput.lib >> _tmp.arg
echo ddraw.lib dxguid.lib winmm.lib dsound.lib >> _tmp.arg
link @_tmp.arg
del _tmp.arg

echo -nologo -W1 -Gd -Ox -GB -MT -I. -I.\include -Foobj\msvc\alleg\vesainfo.obj > _tmp.arg
echo -c tests\vesainfo.c >> _tmp.arg
cl @_tmp.arg
del _tmp.arg

echo -nologo -release -subsystem:windows -out:tests\vesainfo.exe > _tmp.arg
echo obj\msvc\alleg\vesainfo.obj lib\msvc\alleg.lib kernel32.lib >> _tmp.arg
echo user32.lib gdi32.lib comdlg32.lib ole32.lib dinput.lib >> _tmp.arg
echo ddraw.lib dxguid.lib winmm.lib dsound.lib >> _tmp.arg
link @_tmp.arg
del _tmp.arg

echo -nologo -W1 -Gd -Ox -GB -MT -I. -I.\include -Foobj\msvc\alleg\colormap.obj > _tmp.arg
echo -c tools\colormap.c >> _tmp.arg
cl @_tmp.arg
del _tmp.arg

echo -nologo -release -subsystem:console -out:tools\colormap.exe > _tmp.arg
echo obj\msvc\alleg\colormap.obj lib\msvc\alleg.lib kernel32.lib >> _tmp.arg
echo user32.lib gdi32.lib comdlg32.lib ole32.lib dinput.lib >> _tmp.arg
echo ddraw.lib dxguid.lib winmm.lib dsound.lib >> _tmp.arg
link @_tmp.arg
del _tmp.arg

echo -nologo -W1 -Gd -Ox -GB -MT -I. -I.\include -Foobj\msvc\alleg\exedat.obj > _tmp.arg
echo -c tools\exedat.c >> _tmp.arg
cl @_tmp.arg
del _tmp.arg

echo -nologo -release -subsystem:console -out:tools\exedat.exe > _tmp.arg
echo obj\msvc\alleg\exedat.obj lib\msvc\alleg.lib kernel32.lib >> _tmp.arg
echo user32.lib gdi32.lib comdlg32.lib ole32.lib dinput.lib >> _tmp.arg
echo ddraw.lib dxguid.lib winmm.lib dsound.lib >> _tmp.arg
link @_tmp.arg
del _tmp.arg

echo -nologo -W1 -Gd -Ox -GB -MT -I. -I.\include -Foobj\msvc\alleg\pack.obj > _tmp.arg
echo -c tools\pack.c >> _tmp.arg
cl @_tmp.arg
del _tmp.arg

echo -nologo -release -subsystem:console -out:tools\pack.exe > _tmp.arg
echo obj\msvc\alleg\pack.obj lib\msvc\alleg.lib kernel32.lib >> _tmp.arg
echo user32.lib gdi32.lib comdlg32.lib ole32.lib dinput.lib >> _tmp.arg
echo ddraw.lib dxguid.lib winmm.lib dsound.lib >> _tmp.arg
link @_tmp.arg
del _tmp.arg

echo -nologo -W1 -Gd -Ox -GB -MT -I. -I.\include -Foobj\msvc\alleg\rgbmap.obj > _tmp.arg
echo -c tools\rgbmap.c >> _tmp.arg
cl @_tmp.arg
del _tmp.arg

echo -nologo -release -subsystem:console -out:tools\rgbmap.exe > _tmp.arg
echo obj\msvc\alleg\rgbmap.obj lib\msvc\alleg.lib kernel32.lib >> _tmp.arg
echo user32.lib gdi32.lib comdlg32.lib ole32.lib dinput.lib >> _tmp.arg
echo ddraw.lib dxguid.lib winmm.lib dsound.lib >> _tmp.arg
link @_tmp.arg
del _tmp.arg

echo -nologo -W1 -Gd -Ox -GB -MT -I. -I.\include -Foobj\msvc\alleg\textconv.obj > _tmp.arg
echo -c tools\textconv.c >> _tmp.arg
cl @_tmp.arg
del _tmp.arg

echo -nologo -release -subsystem:console -out:tools\textconv.exe > _tmp.arg
echo obj\msvc\alleg\textconv.obj lib\msvc\alleg.lib kernel32.lib >> _tmp.arg
echo user32.lib gdi32.lib comdlg32.lib ole32.lib dinput.lib >> _tmp.arg
echo ddraw.lib dxguid.lib winmm.lib dsound.lib >> _tmp.arg
link @_tmp.arg
del _tmp.arg

echo -nologo -W1 -Gd -Ox -GB -MT -I. -I.\include -Foobj\msvc\alleg\dat.obj > _tmp.arg
echo -c tools\dat.c >> _tmp.arg
cl @_tmp.arg
del _tmp.arg

copy tools\plugins\*.inc obj\msvc\plugins.h

echo -nologo -W1 -Gd -Ox -GB -MT -I. -I.\include -Foobj\msvc\alleg\datedit.obj > _tmp.arg
echo -c tools\datedit.c >> _tmp.arg
cl @_tmp.arg
del _tmp.arg

echo -nologo -W1 -Gd -Ox -GB -MT -I. -I.\include -Foobj\msvc\alleg\datalpha.obj > _tmp.arg
echo -c tools\plugins\datalpha.c >> _tmp.arg
cl @_tmp.arg
del _tmp.arg

echo -nologo -W1 -Gd -Ox -GB -MT -I. -I.\include -Foobj\msvc\alleg\datfli.obj > _tmp.arg
echo -c tools\plugins\datfli.c >> _tmp.arg
cl @_tmp.arg
del _tmp.arg

echo -nologo -W1 -Gd -Ox -GB -MT -I. -I.\include -Foobj\msvc\alleg\datfont.obj > _tmp.arg
echo -c tools\plugins\datfont.c >> _tmp.arg
cl @_tmp.arg
del _tmp.arg

echo -nologo -W1 -Gd -Ox -GB -MT -I. -I.\include -Foobj\msvc\alleg\datgrab.obj > _tmp.arg
echo -c tools\plugins\datgrab.c >> _tmp.arg
cl @_tmp.arg
del _tmp.arg

echo -nologo -W1 -Gd -Ox -GB -MT -I. -I.\include -Foobj\msvc\alleg\datgrid.obj > _tmp.arg
echo -c tools\plugins\datgrid.c >> _tmp.arg
cl @_tmp.arg
del _tmp.arg

echo -nologo -W1 -Gd -Ox -GB -MT -I. -I.\include -Foobj\msvc\alleg\datimage.obj > _tmp.arg
echo -c tools\plugins\datimage.c >> _tmp.arg
cl @_tmp.arg
del _tmp.arg

echo -nologo -W1 -Gd -Ox -GB -MT -I. -I.\include -Foobj\msvc\alleg\datitype.obj > _tmp.arg
echo -c tools\plugins\datitype.c >> _tmp.arg
cl @_tmp.arg
del _tmp.arg

echo -nologo -W1 -Gd -Ox -GB -MT -I. -I.\include -Foobj\msvc\alleg\datmidi.obj > _tmp.arg
echo -c tools\plugins\datmidi.c >> _tmp.arg
cl @_tmp.arg
del _tmp.arg

echo -nologo -W1 -Gd -Ox -GB -MT -I. -I.\include -Foobj\msvc\alleg\datpal.obj > _tmp.arg
echo -c tools\plugins\datpal.c >> _tmp.arg
cl @_tmp.arg
del _tmp.arg

echo -nologo -W1 -Gd -Ox -GB -MT -I. -I.\include -Foobj\msvc\alleg\datsamp.obj > _tmp.arg
echo -c tools\plugins\datsamp.c >> _tmp.arg
cl @_tmp.arg
del _tmp.arg

echo -nologo -W1 -Gd -Ox -GB -MT -I. -I.\include -Foobj\msvc\alleg\datworms.obj > _tmp.arg
echo -c tools\plugins\datworms.c >> _tmp.arg
cl @_tmp.arg
del _tmp.arg

echo -nologo -out:lib\msvc\aldat.lib obj\msvc\alleg\datedit.obj > _tmp.arg
echo obj\msvc\alleg\datalpha.obj obj\msvc\alleg\datfli.obj >> _tmp.arg
echo obj\msvc\alleg\datfont.obj obj\msvc\alleg\datgrab.obj >> _tmp.arg
echo obj\msvc\alleg\datgrid.obj obj\msvc\alleg\datimage.obj >> _tmp.arg
echo obj\msvc\alleg\datitype.obj obj\msvc\alleg\datmidi.obj >> _tmp.arg
echo obj\msvc\alleg\datpal.obj obj\msvc\alleg\datsamp.obj >> _tmp.arg
echo obj\msvc\alleg\datworms.obj >> _tmp.arg
lib @_tmp.arg
del _tmp.arg

echo -nologo -release -subsystem:console -out:tools\dat.exe > _tmp.arg
echo obj\msvc\alleg\dat.obj lib\msvc\aldat.lib lib\msvc\alleg.lib >> _tmp.arg
echo kernel32.lib user32.lib gdi32.lib comdlg32.lib ole32.lib >> _tmp.arg
echo dinput.lib ddraw.lib dxguid.lib winmm.lib dsound.lib >> _tmp.arg
link @_tmp.arg
del _tmp.arg

echo -nologo -W1 -Gd -Ox -GB -MT -I. -I.\include -Foobj\msvc\alleg\dat2s.obj > _tmp.arg
echo -c tools\dat2s.c >> _tmp.arg
cl @_tmp.arg
del _tmp.arg

echo -nologo -release -subsystem:console -out:tools\dat2s.exe > _tmp.arg
echo obj\msvc\alleg\dat2s.obj lib\msvc\aldat.lib lib\msvc\alleg.lib >> _tmp.arg
echo kernel32.lib user32.lib gdi32.lib comdlg32.lib ole32.lib >> _tmp.arg
echo dinput.lib ddraw.lib dxguid.lib winmm.lib dsound.lib >> _tmp.arg
link @_tmp.arg
del _tmp.arg

echo -nologo -W1 -Gd -Ox -GB -MT -I. -I.\include -Foobj\msvc\alleg\grabber.obj > _tmp.arg
echo -c tools\grabber.c >> _tmp.arg
cl @_tmp.arg
del _tmp.arg

echo -nologo -release -subsystem:windows -out:tools\grabber.exe > _tmp.arg
echo obj\msvc\alleg\grabber.obj lib\msvc\aldat.lib lib\msvc\alleg.lib >> _tmp.arg
echo kernel32.lib user32.lib gdi32.lib comdlg32.lib ole32.lib >> _tmp.arg
echo dinput.lib ddraw.lib dxguid.lib winmm.lib dsound.lib >> _tmp.arg
link @_tmp.arg
del _tmp.arg

echo -nologo -W1 -Gd -Ox -GB -MT -I. -I.\include -Foobj\msvc\alleg\pat2dat.obj > _tmp.arg
echo -c tools\pat2dat.c >> _tmp.arg
cl @_tmp.arg
del _tmp.arg

echo -nologo -release -subsystem:console -out:tools\pat2dat.exe > _tmp.arg
echo obj\msvc\alleg\pat2dat.obj lib\msvc\aldat.lib lib\msvc\alleg.lib >> _tmp.arg
echo kernel32.lib user32.lib gdi32.lib comdlg32.lib ole32.lib >> _tmp.arg
echo dinput.lib ddraw.lib dxguid.lib winmm.lib dsound.lib >> _tmp.arg
link @_tmp.arg
del _tmp.arg

echo -nologo -W1 -Gd -Ox -GB -MT -I. -I.\include -Foobj\msvc\alleg\ex12bit.obj > _tmp.arg
echo -c examples\ex12bit.c >> _tmp.arg
cl @_tmp.arg
del _tmp.arg

echo -nologo -release -subsystem:windows -out:examples\ex12bit.exe > _tmp.arg
echo obj\msvc\alleg\ex12bit.obj lib\msvc\alleg.lib kernel32.lib >> _tmp.arg
echo user32.lib gdi32.lib comdlg32.lib ole32.lib dinput.lib >> _tmp.arg
echo ddraw.lib dxguid.lib winmm.lib dsound.lib >> _tmp.arg
link @_tmp.arg
del _tmp.arg

echo -nologo -W1 -Gd -Ox -GB -MT -I. -I.\include -Foobj\msvc\alleg\ex3buf.obj > _tmp.arg
echo -c examples\ex3buf.c >> _tmp.arg
cl @_tmp.arg
del _tmp.arg

echo -nologo -release -subsystem:windows -out:examples\ex3buf.exe > _tmp.arg
echo obj\msvc\alleg\ex3buf.obj lib\msvc\alleg.lib kernel32.lib >> _tmp.arg
echo user32.lib gdi32.lib comdlg32.lib ole32.lib dinput.lib >> _tmp.arg
echo ddraw.lib dxguid.lib winmm.lib dsound.lib >> _tmp.arg
link @_tmp.arg
del _tmp.arg

echo -nologo -W1 -Gd -Ox -GB -MT -I. -I.\include -Foobj\msvc\alleg\ex3d.obj > _tmp.arg
echo -c examples\ex3d.c >> _tmp.arg
cl @_tmp.arg
del _tmp.arg

echo -nologo -release -subsystem:windows -out:examples\ex3d.exe > _tmp.arg
echo obj\msvc\alleg\ex3d.obj lib\msvc\alleg.lib kernel32.lib >> _tmp.arg
echo user32.lib gdi32.lib comdlg32.lib ole32.lib dinput.lib >> _tmp.arg
echo ddraw.lib dxguid.lib winmm.lib dsound.lib >> _tmp.arg
link @_tmp.arg
del _tmp.arg

echo -nologo -W1 -Gd -Ox -GB -MT -I. -I.\include -Foobj\msvc\alleg\exaccel.obj > _tmp.arg
echo -c examples\exaccel.c >> _tmp.arg
cl @_tmp.arg
del _tmp.arg

echo -nologo -release -subsystem:windows -out:examples\exaccel.exe > _tmp.arg
echo obj\msvc\alleg\exaccel.obj lib\msvc\alleg.lib kernel32.lib >> _tmp.arg
echo user32.lib gdi32.lib comdlg32.lib ole32.lib dinput.lib >> _tmp.arg
echo ddraw.lib dxguid.lib winmm.lib dsound.lib >> _tmp.arg
link @_tmp.arg
del _tmp.arg

echo -nologo -W1 -Gd -Ox -GB -MT -I. -I.\include -Foobj\msvc\alleg\exalpha.obj > _tmp.arg
echo -c examples\exalpha.c >> _tmp.arg
cl @_tmp.arg
del _tmp.arg

echo -nologo -release -subsystem:windows -out:examples\exalpha.exe > _tmp.arg
echo obj\msvc\alleg\exalpha.obj lib\msvc\alleg.lib kernel32.lib >> _tmp.arg
echo user32.lib gdi32.lib comdlg32.lib ole32.lib dinput.lib >> _tmp.arg
echo ddraw.lib dxguid.lib winmm.lib dsound.lib >> _tmp.arg
link @_tmp.arg
del _tmp.arg

echo -nologo -W1 -Gd -Ox -GB -MT -I. -I.\include -Foobj\msvc\alleg\exbitmap.obj > _tmp.arg
echo -c examples\exbitmap.c >> _tmp.arg
cl @_tmp.arg
del _tmp.arg

echo -nologo -release -subsystem:windows -out:examples\exbitmap.exe > _tmp.arg
echo obj\msvc\alleg\exbitmap.obj lib\msvc\alleg.lib kernel32.lib >> _tmp.arg
echo user32.lib gdi32.lib comdlg32.lib ole32.lib dinput.lib >> _tmp.arg
echo ddraw.lib dxguid.lib winmm.lib dsound.lib >> _tmp.arg
link @_tmp.arg
del _tmp.arg

echo -nologo -W1 -Gd -Ox -GB -MT -I. -I.\include -Foobj\msvc\alleg\exblend.obj > _tmp.arg
echo -c examples\exblend.c >> _tmp.arg
cl @_tmp.arg
del _tmp.arg

echo -nologo -release -subsystem:windows -out:examples\exblend.exe > _tmp.arg
echo obj\msvc\alleg\exblend.obj lib\msvc\alleg.lib kernel32.lib >> _tmp.arg
echo user32.lib gdi32.lib comdlg32.lib ole32.lib dinput.lib >> _tmp.arg
echo ddraw.lib dxguid.lib winmm.lib dsound.lib >> _tmp.arg
link @_tmp.arg
del _tmp.arg

echo -nologo -W1 -Gd -Ox -GB -MT -I. -I.\include -Foobj\msvc\alleg\excamera.obj > _tmp.arg
echo -c examples\excamera.c >> _tmp.arg
cl @_tmp.arg
del _tmp.arg

echo -nologo -release -subsystem:windows -out:examples\excamera.exe > _tmp.arg
echo obj\msvc\alleg\excamera.obj lib\msvc\alleg.lib kernel32.lib >> _tmp.arg
echo user32.lib gdi32.lib comdlg32.lib ole32.lib dinput.lib >> _tmp.arg
echo ddraw.lib dxguid.lib winmm.lib dsound.lib >> _tmp.arg
link @_tmp.arg
del _tmp.arg

echo -nologo -W1 -Gd -Ox -GB -MT -I. -I.\include -Foobj\msvc\alleg\excolmap.obj > _tmp.arg
echo -c examples\excolmap.c >> _tmp.arg
cl @_tmp.arg
del _tmp.arg

echo -nologo -release -subsystem:windows -out:examples\excolmap.exe > _tmp.arg
echo obj\msvc\alleg\excolmap.obj lib\msvc\alleg.lib kernel32.lib >> _tmp.arg
echo user32.lib gdi32.lib comdlg32.lib ole32.lib dinput.lib >> _tmp.arg
echo ddraw.lib dxguid.lib winmm.lib dsound.lib >> _tmp.arg
link @_tmp.arg
del _tmp.arg

echo -nologo -W1 -Gd -Ox -GB -MT -I. -I.\include -Foobj\msvc\alleg\excustom.obj > _tmp.arg
echo -c examples\excustom.c >> _tmp.arg
cl @_tmp.arg
del _tmp.arg

echo -nologo -release -subsystem:windows -out:examples\excustom.exe > _tmp.arg
echo obj\msvc\alleg\excustom.obj lib\msvc\alleg.lib kernel32.lib >> _tmp.arg
echo user32.lib gdi32.lib comdlg32.lib ole32.lib dinput.lib >> _tmp.arg
echo ddraw.lib dxguid.lib winmm.lib dsound.lib >> _tmp.arg
link @_tmp.arg
del _tmp.arg

echo -nologo -W1 -Gd -Ox -GB -MT -I. -I.\include -Foobj\msvc\alleg\exdata.obj > _tmp.arg
echo -c examples\exdata.c >> _tmp.arg
cl @_tmp.arg
del _tmp.arg

echo -nologo -release -subsystem:windows -out:examples\exdata.exe > _tmp.arg
echo obj\msvc\alleg\exdata.obj lib\msvc\alleg.lib kernel32.lib >> _tmp.arg
echo user32.lib gdi32.lib comdlg32.lib ole32.lib dinput.lib >> _tmp.arg
echo ddraw.lib dxguid.lib winmm.lib dsound.lib >> _tmp.arg
link @_tmp.arg
del _tmp.arg

echo -nologo -W1 -Gd -Ox -GB -MT -I. -I.\include -Foobj\msvc\alleg\exdbuf.obj > _tmp.arg
echo -c examples\exdbuf.c >> _tmp.arg
cl @_tmp.arg
del _tmp.arg

echo -nologo -release -subsystem:windows -out:examples\exdbuf.exe > _tmp.arg
echo obj\msvc\alleg\exdbuf.obj lib\msvc\alleg.lib kernel32.lib >> _tmp.arg
echo user32.lib gdi32.lib comdlg32.lib ole32.lib dinput.lib >> _tmp.arg
echo ddraw.lib dxguid.lib winmm.lib dsound.lib >> _tmp.arg
link @_tmp.arg
del _tmp.arg

echo -nologo -W1 -Gd -Ox -GB -MT -I. -I.\include -Foobj\msvc\alleg\exdodgy.obj > _tmp.arg
echo -c examples\exdodgy.c >> _tmp.arg
cl @_tmp.arg
del _tmp.arg

echo -nologo -release -subsystem:windows -out:examples\exdodgy.exe > _tmp.arg
echo obj\msvc\alleg\exdodgy.obj lib\msvc\alleg.lib kernel32.lib >> _tmp.arg
echo user32.lib gdi32.lib comdlg32.lib ole32.lib dinput.lib >> _tmp.arg
echo ddraw.lib dxguid.lib winmm.lib dsound.lib >> _tmp.arg
link @_tmp.arg
del _tmp.arg

echo -nologo -W1 -Gd -Ox -GB -MT -I. -I.\include -Foobj\msvc\alleg\exexedat.obj > _tmp.arg
echo -c examples\exexedat.c >> _tmp.arg
cl @_tmp.arg
del _tmp.arg

echo -nologo -release -subsystem:windows -out:examples\exexedat.exe > _tmp.arg
echo obj\msvc\alleg\exexedat.obj lib\msvc\alleg.lib kernel32.lib >> _tmp.arg
echo user32.lib gdi32.lib comdlg32.lib ole32.lib dinput.lib >> _tmp.arg
echo ddraw.lib dxguid.lib winmm.lib dsound.lib >> _tmp.arg
link @_tmp.arg
del _tmp.arg

echo -nologo -W1 -Gd -Ox -GB -MT -I. -I.\include -Foobj\msvc\alleg\exfixed.obj > _tmp.arg
echo -c examples\exfixed.c >> _tmp.arg
cl @_tmp.arg
del _tmp.arg

echo -nologo -release -subsystem:windows -out:examples\exfixed.exe > _tmp.arg
echo obj\msvc\alleg\exfixed.obj lib\msvc\alleg.lib kernel32.lib >> _tmp.arg
echo user32.lib gdi32.lib comdlg32.lib ole32.lib dinput.lib >> _tmp.arg
echo ddraw.lib dxguid.lib winmm.lib dsound.lib >> _tmp.arg
link @_tmp.arg
del _tmp.arg

echo -nologo -W1 -Gd -Ox -GB -MT -I. -I.\include -Foobj\msvc\alleg\exflame.obj > _tmp.arg
echo -c examples\exflame.c >> _tmp.arg
cl @_tmp.arg
del _tmp.arg

echo -nologo -release -subsystem:windows -out:examples\exflame.exe > _tmp.arg
echo obj\msvc\alleg\exflame.obj lib\msvc\alleg.lib kernel32.lib >> _tmp.arg
echo user32.lib gdi32.lib comdlg32.lib ole32.lib dinput.lib >> _tmp.arg
echo ddraw.lib dxguid.lib winmm.lib dsound.lib >> _tmp.arg
link @_tmp.arg
del _tmp.arg

echo -nologo -W1 -Gd -Ox -GB -MT -I. -I.\include -Foobj\msvc\alleg\exflip.obj > _tmp.arg
echo -c examples\exflip.c >> _tmp.arg
cl @_tmp.arg
del _tmp.arg

echo -nologo -release -subsystem:windows -out:examples\exflip.exe > _tmp.arg
echo obj\msvc\alleg\exflip.obj lib\msvc\alleg.lib kernel32.lib >> _tmp.arg
echo user32.lib gdi32.lib comdlg32.lib ole32.lib dinput.lib >> _tmp.arg
echo ddraw.lib dxguid.lib winmm.lib dsound.lib >> _tmp.arg
link @_tmp.arg
del _tmp.arg

echo -nologo -W1 -Gd -Ox -GB -MT -I. -I.\include -Foobj\msvc\alleg\exgui.obj > _tmp.arg
echo -c examples\exgui.c >> _tmp.arg
cl @_tmp.arg
del _tmp.arg

echo -nologo -release -subsystem:windows -out:examples\exgui.exe > _tmp.arg
echo obj\msvc\alleg\exgui.obj lib\msvc\alleg.lib kernel32.lib >> _tmp.arg
echo user32.lib gdi32.lib comdlg32.lib ole32.lib dinput.lib >> _tmp.arg
echo ddraw.lib dxguid.lib winmm.lib dsound.lib >> _tmp.arg
link @_tmp.arg
del _tmp.arg

echo -nologo -W1 -Gd -Ox -GB -MT -I. -I.\include -Foobj\msvc\alleg\exhello.obj > _tmp.arg
echo -c examples\exhello.c >> _tmp.arg
cl @_tmp.arg
del _tmp.arg

echo -nologo -release -subsystem:windows -out:examples\exhello.exe > _tmp.arg
echo obj\msvc\alleg\exhello.obj lib\msvc\alleg.lib kernel32.lib >> _tmp.arg
echo user32.lib gdi32.lib comdlg32.lib ole32.lib dinput.lib >> _tmp.arg
echo ddraw.lib dxguid.lib winmm.lib dsound.lib >> _tmp.arg
link @_tmp.arg
del _tmp.arg

echo -nologo -W1 -Gd -Ox -GB -MT -I. -I.\include -Foobj\msvc\alleg\exjoy.obj > _tmp.arg
echo -c examples\exjoy.c >> _tmp.arg
cl @_tmp.arg
del _tmp.arg

echo -nologo -release -subsystem:windows -out:examples\exjoy.exe > _tmp.arg
echo obj\msvc\alleg\exjoy.obj lib\msvc\alleg.lib kernel32.lib >> _tmp.arg
echo user32.lib gdi32.lib comdlg32.lib ole32.lib dinput.lib >> _tmp.arg
echo ddraw.lib dxguid.lib winmm.lib dsound.lib >> _tmp.arg
link @_tmp.arg
del _tmp.arg

echo -nologo -W1 -Gd -Ox -GB -MT -I. -I.\include -Foobj\msvc\alleg\exkeys.obj > _tmp.arg
echo -c examples\exkeys.c >> _tmp.arg
cl @_tmp.arg
del _tmp.arg

echo -nologo -release -subsystem:windows -out:examples\exkeys.exe > _tmp.arg
echo obj\msvc\alleg\exkeys.obj lib\msvc\alleg.lib kernel32.lib >> _tmp.arg
echo user32.lib gdi32.lib comdlg32.lib ole32.lib dinput.lib >> _tmp.arg
echo ddraw.lib dxguid.lib winmm.lib dsound.lib >> _tmp.arg
link @_tmp.arg
del _tmp.arg

echo -nologo -W1 -Gd -Ox -GB -MT -I. -I.\include -Foobj\msvc\alleg\exlights.obj > _tmp.arg
echo -c examples\exlights.c >> _tmp.arg
cl @_tmp.arg
del _tmp.arg

echo -nologo -release -subsystem:windows -out:examples\exlights.exe > _tmp.arg
echo obj\msvc\alleg\exlights.obj lib\msvc\alleg.lib kernel32.lib >> _tmp.arg
echo user32.lib gdi32.lib comdlg32.lib ole32.lib dinput.lib >> _tmp.arg
echo ddraw.lib dxguid.lib winmm.lib dsound.lib >> _tmp.arg
link @_tmp.arg
del _tmp.arg

echo -nologo -W1 -Gd -Ox -GB -MT -I. -I.\include -Foobj\msvc\alleg\exmem.obj > _tmp.arg
echo -c examples\exmem.c >> _tmp.arg
cl @_tmp.arg
del _tmp.arg

echo -nologo -release -subsystem:windows -out:examples\exmem.exe > _tmp.arg
echo obj\msvc\alleg\exmem.obj lib\msvc\alleg.lib kernel32.lib >> _tmp.arg
echo user32.lib gdi32.lib comdlg32.lib ole32.lib dinput.lib >> _tmp.arg
echo ddraw.lib dxguid.lib winmm.lib dsound.lib >> _tmp.arg
link @_tmp.arg
del _tmp.arg

echo -nologo -W1 -Gd -Ox -GB -MT -I. -I.\include -Foobj\msvc\alleg\exmidi.obj > _tmp.arg
echo -c examples\exmidi.c >> _tmp.arg
cl @_tmp.arg
del _tmp.arg

echo -nologo -release -subsystem:windows -out:examples\exmidi.exe > _tmp.arg
echo obj\msvc\alleg\exmidi.obj lib\msvc\alleg.lib kernel32.lib >> _tmp.arg
echo user32.lib gdi32.lib comdlg32.lib ole32.lib dinput.lib >> _tmp.arg
echo ddraw.lib dxguid.lib winmm.lib dsound.lib >> _tmp.arg
link @_tmp.arg
del _tmp.arg

echo -nologo -W1 -Gd -Ox -GB -MT -I. -I.\include -Foobj\msvc\alleg\exmouse.obj > _tmp.arg
echo -c examples\exmouse.c >> _tmp.arg
cl @_tmp.arg
del _tmp.arg

echo -nologo -release -subsystem:windows -out:examples\exmouse.exe > _tmp.arg
echo obj\msvc\alleg\exmouse.obj lib\msvc\alleg.lib kernel32.lib >> _tmp.arg
echo user32.lib gdi32.lib comdlg32.lib ole32.lib dinput.lib >> _tmp.arg
echo ddraw.lib dxguid.lib winmm.lib dsound.lib >> _tmp.arg
link @_tmp.arg
del _tmp.arg

echo -nologo -W1 -Gd -Ox -GB -MT -I. -I.\include -Foobj\msvc\alleg\expal.obj > _tmp.arg
echo -c examples\expal.c >> _tmp.arg
cl @_tmp.arg
del _tmp.arg

echo -nologo -release -subsystem:windows -out:examples\expal.exe > _tmp.arg
echo obj\msvc\alleg\expal.obj lib\msvc\alleg.lib kernel32.lib >> _tmp.arg
echo user32.lib gdi32.lib comdlg32.lib ole32.lib dinput.lib >> _tmp.arg
echo ddraw.lib dxguid.lib winmm.lib dsound.lib >> _tmp.arg
link @_tmp.arg
del _tmp.arg

echo -nologo -W1 -Gd -Ox -GB -MT -I. -I.\include -Foobj\msvc\alleg\expat.obj > _tmp.arg
echo -c examples\expat.c >> _tmp.arg
cl @_tmp.arg
del _tmp.arg

echo -nologo -release -subsystem:windows -out:examples\expat.exe > _tmp.arg
echo obj\msvc\alleg\expat.obj lib\msvc\alleg.lib kernel32.lib >> _tmp.arg
echo user32.lib gdi32.lib comdlg32.lib ole32.lib dinput.lib >> _tmp.arg
echo ddraw.lib dxguid.lib winmm.lib dsound.lib >> _tmp.arg
link @_tmp.arg
del _tmp.arg

echo -nologo -W1 -Gd -Ox -GB -MT -I. -I.\include -Foobj\msvc\alleg\exquat.obj > _tmp.arg
echo -c examples\exquat.c >> _tmp.arg
cl @_tmp.arg
del _tmp.arg

echo -nologo -release -subsystem:windows -out:examples\exquat.exe > _tmp.arg
echo obj\msvc\alleg\exquat.obj lib\msvc\alleg.lib kernel32.lib >> _tmp.arg
echo user32.lib gdi32.lib comdlg32.lib ole32.lib dinput.lib >> _tmp.arg
echo ddraw.lib dxguid.lib winmm.lib dsound.lib >> _tmp.arg
link @_tmp.arg
del _tmp.arg

echo -nologo -W1 -Gd -Ox -GB -MT -I. -I.\include -Foobj\msvc\alleg\exrgbhsv.obj > _tmp.arg
echo -c examples\exrgbhsv.c >> _tmp.arg
cl @_tmp.arg
del _tmp.arg

echo -nologo -release -subsystem:windows -out:examples\exrgbhsv.exe > _tmp.arg
echo obj\msvc\alleg\exrgbhsv.obj lib\msvc\alleg.lib kernel32.lib >> _tmp.arg
echo user32.lib gdi32.lib comdlg32.lib ole32.lib dinput.lib >> _tmp.arg
echo ddraw.lib dxguid.lib winmm.lib dsound.lib >> _tmp.arg
link @_tmp.arg
del _tmp.arg

echo -nologo -W1 -Gd -Ox -GB -MT -I. -I.\include -Foobj\msvc\alleg\exsample.obj > _tmp.arg
echo -c examples\exsample.c >> _tmp.arg
cl @_tmp.arg
del _tmp.arg

echo -nologo -release -subsystem:windows -out:examples\exsample.exe > _tmp.arg
echo obj\msvc\alleg\exsample.obj lib\msvc\alleg.lib kernel32.lib >> _tmp.arg
echo user32.lib gdi32.lib comdlg32.lib ole32.lib dinput.lib >> _tmp.arg
echo ddraw.lib dxguid.lib winmm.lib dsound.lib >> _tmp.arg
link @_tmp.arg
del _tmp.arg

echo -nologo -W1 -Gd -Ox -GB -MT -I. -I.\include -Foobj\msvc\alleg\exscale.obj > _tmp.arg
echo -c examples\exscale.c >> _tmp.arg
cl @_tmp.arg
del _tmp.arg

echo -nologo -release -subsystem:windows -out:examples\exscale.exe > _tmp.arg
echo obj\msvc\alleg\exscale.obj lib\msvc\alleg.lib kernel32.lib >> _tmp.arg
echo user32.lib gdi32.lib comdlg32.lib ole32.lib dinput.lib >> _tmp.arg
echo ddraw.lib dxguid.lib winmm.lib dsound.lib >> _tmp.arg
link @_tmp.arg
del _tmp.arg

echo -nologo -W1 -Gd -Ox -GB -MT -I. -I.\include -Foobj\msvc\alleg\exscroll.obj > _tmp.arg
echo -c examples\exscroll.c >> _tmp.arg
cl @_tmp.arg
del _tmp.arg

echo -nologo -release -subsystem:windows -out:examples\exscroll.exe > _tmp.arg
echo obj\msvc\alleg\exscroll.obj lib\msvc\alleg.lib kernel32.lib >> _tmp.arg
echo user32.lib gdi32.lib comdlg32.lib ole32.lib dinput.lib >> _tmp.arg
echo ddraw.lib dxguid.lib winmm.lib dsound.lib >> _tmp.arg
link @_tmp.arg
del _tmp.arg

echo -nologo -W1 -Gd -Ox -GB -MT -I. -I.\include -Foobj\msvc\alleg\exshade.obj > _tmp.arg
echo -c examples\exshade.c >> _tmp.arg
cl @_tmp.arg
del _tmp.arg

echo -nologo -release -subsystem:windows -out:examples\exshade.exe > _tmp.arg
echo obj\msvc\alleg\exshade.obj lib\msvc\alleg.lib kernel32.lib >> _tmp.arg
echo user32.lib gdi32.lib comdlg32.lib ole32.lib dinput.lib >> _tmp.arg
echo ddraw.lib dxguid.lib winmm.lib dsound.lib >> _tmp.arg
link @_tmp.arg
del _tmp.arg

echo -nologo -W1 -Gd -Ox -GB -MT -I. -I.\include -Foobj\msvc\alleg\exspline.obj > _tmp.arg
echo -c examples\exspline.c >> _tmp.arg
cl @_tmp.arg
del _tmp.arg

echo -nologo -release -subsystem:windows -out:examples\exspline.exe > _tmp.arg
echo obj\msvc\alleg\exspline.obj lib\msvc\alleg.lib kernel32.lib >> _tmp.arg
echo user32.lib gdi32.lib comdlg32.lib ole32.lib dinput.lib >> _tmp.arg
echo ddraw.lib dxguid.lib winmm.lib dsound.lib >> _tmp.arg
link @_tmp.arg
del _tmp.arg

echo -nologo -W1 -Gd -Ox -GB -MT -I. -I.\include -Foobj\msvc\alleg\exsprite.obj > _tmp.arg
echo -c examples\exsprite.c >> _tmp.arg
cl @_tmp.arg
del _tmp.arg

echo -nologo -release -subsystem:windows -out:examples\exsprite.exe > _tmp.arg
echo obj\msvc\alleg\exsprite.obj lib\msvc\alleg.lib kernel32.lib >> _tmp.arg
echo user32.lib gdi32.lib comdlg32.lib ole32.lib dinput.lib >> _tmp.arg
echo ddraw.lib dxguid.lib winmm.lib dsound.lib >> _tmp.arg
link @_tmp.arg
del _tmp.arg

echo -nologo -W1 -Gd -Ox -GB -MT -I. -I.\include -Foobj\msvc\alleg\exstars.obj > _tmp.arg
echo -c examples\exstars.c >> _tmp.arg
cl @_tmp.arg
del _tmp.arg

echo -nologo -release -subsystem:windows -out:examples\exstars.exe > _tmp.arg
echo obj\msvc\alleg\exstars.obj lib\msvc\alleg.lib kernel32.lib >> _tmp.arg
echo user32.lib gdi32.lib comdlg32.lib ole32.lib dinput.lib >> _tmp.arg
echo ddraw.lib dxguid.lib winmm.lib dsound.lib >> _tmp.arg
link @_tmp.arg
del _tmp.arg

echo -nologo -W1 -Gd -Ox -GB -MT -I. -I.\include -Foobj\msvc\alleg\exstream.obj > _tmp.arg
echo -c examples\exstream.c >> _tmp.arg
cl @_tmp.arg
del _tmp.arg

echo -nologo -release -subsystem:windows -out:examples\exstream.exe > _tmp.arg
echo obj\msvc\alleg\exstream.obj lib\msvc\alleg.lib kernel32.lib >> _tmp.arg
echo user32.lib gdi32.lib comdlg32.lib ole32.lib dinput.lib >> _tmp.arg
echo ddraw.lib dxguid.lib winmm.lib dsound.lib >> _tmp.arg
link @_tmp.arg
del _tmp.arg

echo -nologo -W1 -Gd -Ox -GB -MT -I. -I.\include -Foobj\msvc\alleg\exswitch.obj > _tmp.arg
echo -c examples\exswitch.c >> _tmp.arg
cl @_tmp.arg
del _tmp.arg

echo -nologo -release -subsystem:windows -out:examples\exswitch.exe > _tmp.arg
echo obj\msvc\alleg\exswitch.obj lib\msvc\alleg.lib kernel32.lib >> _tmp.arg
echo user32.lib gdi32.lib comdlg32.lib ole32.lib dinput.lib >> _tmp.arg
echo ddraw.lib dxguid.lib winmm.lib dsound.lib >> _tmp.arg
link @_tmp.arg
del _tmp.arg

echo -nologo -W1 -Gd -Ox -GB -MT -I. -I.\include -Foobj\msvc\alleg\extimer.obj > _tmp.arg
echo -c examples\extimer.c >> _tmp.arg
cl @_tmp.arg
del _tmp.arg

echo -nologo -release -subsystem:windows -out:examples\extimer.exe > _tmp.arg
echo obj\msvc\alleg\extimer.obj lib\msvc\alleg.lib kernel32.lib >> _tmp.arg
echo user32.lib gdi32.lib comdlg32.lib ole32.lib dinput.lib >> _tmp.arg
echo ddraw.lib dxguid.lib winmm.lib dsound.lib >> _tmp.arg
link @_tmp.arg
del _tmp.arg

echo -nologo -W1 -Gd -Ox -GB -MT -I. -I.\include -Foobj\msvc\alleg\extrans.obj > _tmp.arg
echo -c examples\extrans.c >> _tmp.arg
cl @_tmp.arg
del _tmp.arg

echo -nologo -release -subsystem:windows -out:examples\extrans.exe > _tmp.arg
echo obj\msvc\alleg\extrans.obj lib\msvc\alleg.lib kernel32.lib >> _tmp.arg
echo user32.lib gdi32.lib comdlg32.lib ole32.lib dinput.lib >> _tmp.arg
echo ddraw.lib dxguid.lib winmm.lib dsound.lib >> _tmp.arg
link @_tmp.arg
del _tmp.arg

echo -nologo -W1 -Gd -Ox -GB -MT -I. -I.\include -Foobj\msvc\alleg\extruec.obj > _tmp.arg
echo -c examples\extruec.c >> _tmp.arg
cl @_tmp.arg
del _tmp.arg

echo -nologo -release -subsystem:windows -out:examples\extruec.exe > _tmp.arg
echo obj\msvc\alleg\extruec.obj lib\msvc\alleg.lib kernel32.lib >> _tmp.arg
echo user32.lib gdi32.lib comdlg32.lib ole32.lib dinput.lib >> _tmp.arg
echo ddraw.lib dxguid.lib winmm.lib dsound.lib >> _tmp.arg
link @_tmp.arg
del _tmp.arg

echo -nologo -W1 -Gd -Ox -GB -MT -I. -I.\include -Foobj\msvc\alleg\exupdate.obj > _tmp.arg
echo -c examples\exupdate.c >> _tmp.arg
cl @_tmp.arg
del _tmp.arg

echo -nologo -release -subsystem:windows -out:examples\exupdate.exe > _tmp.arg
echo obj\msvc\alleg\exupdate.obj lib\msvc\alleg.lib kernel32.lib >> _tmp.arg
echo user32.lib gdi32.lib comdlg32.lib ole32.lib dinput.lib >> _tmp.arg
echo ddraw.lib dxguid.lib winmm.lib dsound.lib >> _tmp.arg
link @_tmp.arg
del _tmp.arg

echo -nologo -W1 -Gd -Ox -GB -MT -I. -I.\include -Foobj\msvc\alleg\exxfade.obj > _tmp.arg
echo -c examples\exxfade.c >> _tmp.arg
cl @_tmp.arg
del _tmp.arg

echo -nologo -release -subsystem:windows -out:examples\exxfade.exe > _tmp.arg
echo obj\msvc\alleg\exxfade.obj lib\msvc\alleg.lib kernel32.lib >> _tmp.arg
echo user32.lib gdi32.lib comdlg32.lib ole32.lib dinput.lib >> _tmp.arg
echo ddraw.lib dxguid.lib winmm.lib dsound.lib >> _tmp.arg
link @_tmp.arg
del _tmp.arg

echo -nologo -W1 -Gd -Ox -GB -MT -I. -I.\include -Foobj\msvc\alleg\makedoc.obj > _tmp.arg
echo -c docs\makedoc.c >> _tmp.arg
cl @_tmp.arg
del _tmp.arg

echo -nologo -release -subsystem:console -out:docs\makedoc.exe > _tmp.arg
echo obj\msvc\alleg\makedoc.obj lib\msvc\alleg.lib kernel32.lib >> _tmp.arg
echo user32.lib gdi32.lib comdlg32.lib ole32.lib dinput.lib >> _tmp.arg
echo ddraw.lib dxguid.lib winmm.lib dsound.lib >> _tmp.arg
link @_tmp.arg
del _tmp.arg

docs\makedoc.exe -html docs\ahack.html docs\ahack._tx

docs\makedoc.exe -ascii CHANGES docs\changes._tx

docs\makedoc.exe -html docs\changes.html docs\changes._tx

docs\makedoc.exe -ascii faq.txt docs\faq._tx

docs\makedoc.exe -html docs\faq.html docs\faq._tx

docs\makedoc.exe -ascii help.txt docs\help._tx

docs\makedoc.exe -html docs\help.html docs\help._tx

docs\makedoc.exe -part -ascii AUTHORS docs\thanks._tx

docs\makedoc.exe -part -ascii THANKS docs\thanks._tx

docs\makedoc.exe -html docs\thanks.html docs\thanks._tx

docs\makedoc.exe -ascii allegro.txt docs\allegro._tx

docs\makedoc.exe -html docs\allegro.html docs\allegro._tx

docs\makedoc.exe -rtf docs\allegro.rtf docs\allegro._tx

docs\makedoc.exe -ascii docs\const.txt docs\const._tx

docs\makedoc.exe -html docs\const.html docs\const._tx
askq.exe Would you like to copy the headers and libs to your MSVC directories
if errorlevel 1 goto no_lib_copy

if not "%MSDEVDIR%" == "" set _VC_DIR_=%MSDEVDIR%
if not "%MSVCDIR%" == "" set _VC_DIR_=%MSVCDIR%

echo Copying libraries
copy lib\msvc\*.lib "%_VC_DIR_%\lib"

echo Copying allegro.h
copy include\allegro.h "%_VC_DIR_%\include"

echo Copying winalleg.h
copy include\winalleg.h "%_VC_DIR_%\include"

echo Creating internal header directory
md "%_VC_DIR_%\include\allegro"

echo Copying internal headers
copy include\allegro\*.h "%_VC_DIR_%\include\allegro"

set _VC_DIR_=

goto lib_copy_done

:no_lib_copy
echo Library and header files were not installed.
echo You can find the headers in the allegro\include directory,
echo and the libs in allegro\lib\msvc\

:lib_copy_done

askq.exe Would you like to copy the DLL files to your Windows system directory
if errorlevel 1 goto no_dll_copy

if "%OS%" == "Windows_NT" set _WIN_DIR_=%SYSTEMROOT%\system32
if "%OS%" == "" set _WIN_DIR_=%windir%\system

echo Copying DLL files to %_WIN_DIR_%
copy lib\msvc\*.dll %_WIN_DIR_%

set _WIN_DIR_=

goto dll_copy_done

:no_dll_copy
echo DLL files were not installed.
echo You can find them in allegro\lib\msvc\

:dll_copy_done

echo.
echo All done: Allegro is now installed on your system!

goto the_end

:no_allegro

echo Can't find the Allegro library source files! To install this binary
echo distribution, you must also have a copy of the library sources, so
echo that I can compile the support programs and convert the documentation.

:the_end

